{% extends 'base.html' %}
{% block  content %}
<br>
<div class="container" style="padding-top: 5%;">
    <a class="btn btn-info" href="{% url 'register-activities' %}" role="button">Register Activities</a>
</div>
<br>

{% if activities %}
<div class="container" style="padding: 0;"> 
<div class="row" style="padding: 0; align-items: center; margin-right: 0; width : 100%; margin-left : 0;">
    {% for i in activities %}
    <div class="col-auto">
        <div class="card border-dark mb-3" style="width: 18rem;">
        <div class="card-body">
        <h5 class="card-title">{{i.name}}</h5>
        <p class="card-subtitle mb-2 text-muted">On : {{ i.date }}</p>
        <br>
        <p class="card-text">Registered: </p>
        <ul>
            {% for j in people %}
                {% if j.activity.name == i.name %}
                <p class="card-text"><li>{{ j.full_name }}</li></p>
                {% endif %}
            {% endfor %}
        </ul>
        <a href="{% url 'register-people' %}" class="btn btn-info">Add People</a>
        </div>
        </div>
    </div>
    {% endfor %}
</div>
</div>
{% else %}
<p class="text-muted">Nothing to do here</p>
{% endif %}
{% endblock  %}